# Get a signed download URL for an attachment (/docs/api-reference/products/ProductAttachmentsController_getDownloadUrl)

`GET /api/factories/{factoryId}/products/{productId}/attachments/{attachmentId}/download-url`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string |  |
| `productId` | path | yes | string |  |
| `attachmentId` | path | yes | string |  |

## Responses

### 200: Signed download URL